name='libnghttp3'
version='1.9.0'
release='2'
desc='HTTP/3 library written in C.'
desc_ru='Библиотека HTTP/3, написанная на C.'
homepage='https://github.com/ngtcp2/nghttp3'
maintainer='Evgeniy Khramov xpamych@yandex.ru'
maintainer_ru="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('libnghttp3.so')
conflicts=('libnghttp3' 'libnghttp3-devel')

deps=(
  'glibc'
)

build_deps=(
  'autoconf'
  'automake'
  'libtool'
)

sources=("https://github.com/ngtcp2/nghttp3/releases/download/v$version/nghttp3-$version.tar.xz")
checksums=('SKIP')

prepare() {
  cd nghttp3-$version
  autoreconf -i
}

build() {
  cd nghttp3-$version
  ./configure \
    --prefix=/usr
  make -j$(($(nproc) - 1))
}

check() {
  cd nghttp3-$version
  make check -j$(($(nproc) - 1))
}

package() {
  cd nghttp3-$version/lib
  make DESTDIR="${pkgdir}" install
  install -Dm644 ../COPYING -t "${pkgdir}/usr/share/licenses/${pkgname}"
}

files() {
  printf '"%s" ' ./usr/include/nghttp3/*
  printf '"%s" ' ./usr/lib64/**/*
  echo ./usr/share/licenses/COPYING
}