name='simdjson'
epoch='1'
version='3.12.3'
release='1'
desc='A C++ library to see how fast we can parse JSON with complete validation.'
desc_ru='Библиотека для парсинга JSON с полной валидацией.'
homepage='https://github.com/simdjson/simdjson'
maintainer='Evgeniy Khramov xpamych@yandex.ru'
maintainer_ru="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('Apache-2.0')

deps=(
  'libsgcc'
)
build_deps=(
  'cmake'
)

sources=("https://github.com/simdjson/simdjson/archive/v$version.tar.gz")
checksums=('SKIP')

build() {
  cmake -B build -S "$name-$version" \
    -DBUILD_SHARED_LIBS='On' \
    -DCMAKE_BUILD_TYPE='None' \
    -DCMAKE_INSTALL_PREFIX='/usr' \
    -DCPM_USE_LOCAL_PACKAGES='On' \
    -DSIMDJSON_DEVELOPER_MODE='On' \
    -DSIMDJSON_ALLOW_DOWNLOADS='Off' \
    -Wno-dev

  cmake --build build -j$(($(nproc) - 1))
}

check() {
  local excluded_tests=""
  local ctest_flags=(
    --test-dir build
    # show the stdout and stderr when the test fails
    --output-on-failure
    # execute tests in parallel
    --parallel $(nproc)
    # exclude problematic tests
    --exclude-regex "$excluded_tests"
  )

  ctest "${ctest_flags[@]}"
}

package() {
  DESTDIR="$pkgdir/" cmake --install build
}

files() {
  printf '"%s" ' ./usr/lib64/**/*
  echo ./usr/include/simdjson.h
}